
Redmine - Defect #2319

CVS Repository browser lists also the deleted files.

2008-12-12 00:20 - Jerome Vanthournout

Status: Closed Start date: 2008-12-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version: 0.7.3

Description

In CVS, the deleted files are moved into a special folder named Attic. These files are "deleted" and cannot not be used anymore

(except if someone resuscitate it by checking it out and committing it again).

In the current release (0.7.3) as well as 0.8.0-RC1, all the files are displayed in the repository browser, included the "deleted" files.

The "deleted" files should not be displayed.

This problem is located in cvs_adapter.rb line 66.

 cmd = "#{CVS_BIN} -d #{root_url} rls -ed"

Instead of -ed, it would be better to use -e

Associated revisions

Revision 2135 - 2008-12-14 16:57 - Jean-Philippe Lang

Fixed: CVS browser should not show dead revisions (deleted files) (#2319).

History

#1 - 2008-12-14 16:56 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Fixed in r2135. Thanks.
